Bug 1162816 - valabind cannot be installed on F21
Summary: valabind cannot be installed on F21
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: valabind
Version: 21
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Eric Smith
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: sdb
TreeView+ depends on / blocked
 
Reported: 2014-11-11 18:37 UTC by Tristan Brindle
Modified: 2016-05-01 00:23 UTC (History)
3 users (show)

Fixed In Version: valabind-0.9.2-2.fc23 valabind-0.9.2-2.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-01 02:30:03 UTC
Type: ---


Attachments (Terms of Use)

Description Tristan Brindle 2014-11-11 18:37:13 UTC
User-Agent:       Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/601.1 (KHTML, like Gecko) Version/8.0 Safari/601.1 Epiphany/3.14.1
Build Identifier: 


Attempting to install valabind on a Fedora 21 system fails


Reproducible: Always

Steps to Reproduce:
1. sudo dnf install valabind
Actual Results:  
Error: nothing provides libvala-0.24.so.0()(64bit) needed by valabind-0.7.4-4.fc21.x86_64


Expected Results:  
Valabind should be installed

Comment 1 Nick Stoughton 2014-11-18 21:03:28 UTC
Or:
$ sudo yum install valabind
...
Resolving Dependencies
--> Running transaction check
---> Package valabind.x86_64 0:0.7.4-4.fc21 will be installed
--> Processing Dependency: libvala-0.24.so.0()(64bit) for package: valabind-0.7.4-4.fc21.x86_64
--> Finished Dependency Resolution
Error: Package: valabind-0.7.4-4.fc21.x86_64 (fedora)
           Requires: libvala-0.24.so.0()(64bit)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Comment 2 Fedora Admin XMLRPC Client 2014-11-19 22:51:33 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Michal Ambroz 2015-10-11 22:31:59 UTC
Hello,
the libvala dependency seems to come back. 
Valabind (current version 0.9.2) builds just fine in rawhide and fc21 (I guess 22,23 as well):
http://koji.fedoraproject.org/koji/taskinfo?taskID=11410814

I would like to revive the package. Do I have to go through full Review + retake of the package?

Thank you
Michal Ambroz

Comment 4 Fedora Admin XMLRPC Client 2015-10-20 16:30:00 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 5 Fedora Update System 2015-10-22 15:06:09 UTC
valabind-0.9.2-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-907a450cc0

Comment 6 Fedora Update System 2015-10-22 15:06:22 UTC
valabind-0.9.2-2.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-978c277143

Comment 7 Fedora Update System 2015-10-24 12:07:17 UTC
valabind-0.9.2-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update valabind'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-907a450cc0

Comment 8 Fedora Update System 2015-10-26 10:27:00 UTC
valabind-0.9.2-2.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update valabind'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-978c277143

Comment 9 Fedora Update System 2015-10-26 18:28:33 UTC
valabind-0.9.2-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update valabind'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-c119fe445c

Comment 10 Fedora Update System 2015-11-01 02:29:55 UTC
valabind-0.9.2-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-05-01 00:23:19 UTC
valabind-0.9.2-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.